
-----------------------------------------------------------------------------

				 XWATCH _VER_ 

			    Logfile watcher for X

			Karel Kubat (karel@icce.rug.nl)
	       Maintained by Frank Brokken (frank@icce.rug.nl)

-----------------------------------------------------------------------------


    Xwatch is a small program that I wrote to monitor logfiles and to see any
    changes _directly_ (instead of having to read all the logs after a breakin
    or a crash). Xwatch is simply started with a few file arguments, and any
    information that appears on the files is displayed. With a slider you can
    see past information; i.e., lines that scroll in xwatch's window.

    To obtain xwatch, ftp to ftp.icce.rug.nl and get the file
    xwatch-_VER_.tar.gz from the directory /pub/unix.  Unpack the archive and
    change-dir to xwatch/doc. Then read the docs. They are provided in three
    formats: 
    
        - xwatch.html - HTML format, view with your favorite WWW browser;
        
        - xwatch.tex - LaTeX format, latex it and print it;
        
        - xwatch.txt - plain ascii, the ugliest, but a poor-man's solution.
        
    The directory doc furthermore contains xwatch.yo, the sourcefile from 
    which the above are created. (If you want to know how that doc file is
    organized, get yodl from the same site, ftp.icce.rug.nl:/pub/unix).

                 
    NOTE BY THE MAINTAINER

    Due to the impressive nature (and the amount of) mail I receive about
    xwatch, I must conclude that xwatch is at most a half-product: xwatch
    crashes, consumes memory, doesn't do things it's supposed to do: you name
    it. Consequently, the amount of work to be done on xwatch is way too much
    for a 'maintainer', and maintenance is therefore very infrequent and
    low-priority. The best thing I can suggest is to use xwatch for some time,
    kill it, and restart it, or don't use xwatch at all, until version 3.00
    arrives (whenever). 

    end of note


    Copyright policy:

      This program is free software; you can redistribute it and/or modify it
      under the terms of the GNU General Public License as published by the
      Free Software Foundation; either version 2 of the License, or (at your
      option) any later version.
      
      You may link this software with XForms (Copyright (C) by T.C. Zhao and
      Mark Overmars) and distribute the resulting binary, under the
      restrictions in clause 3 of the GPL, even though the resulting binary is
      not, as a whole, covered by the GPL. (You still need a separate license
      to do so from the owner(s) of the copyright for XForms, however).  If a
      derivative no longer requires XForms, you may use the unsupplemented GPL
      as its license by deleting this paragraph and therefore removing this
      exemption for XForms.
      
      This program is distributed in the hope that it will be useful,
      but WITHOUT ANY WARRANTY; without even the implied warranty of
      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
      GNU General Public License for more details.
      
      You should have received a copy of the GNU General Public License
      along with this program; if not, write to the Free Software
      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
         


						Karel Kubat
						karel@icce.rug.nl
						
